<nav class="navbar navbar-expand-md navbar-light fixed-top bg-light border-bottom">
  <div class="container-fluid">
    <%= link_to "Beon Twitter", root_path, class: "navbar-brand" %>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarCollapse">
      <ul class="navbar-nav me-auto mb-2 mb-md-0">
        <% if user_signed_in? %>
          <%# TODO: handle active class %>
          <li class="nav-item">
            <%= link_to '#{users_path}', class: 'nav-link', aria: { current: 'page' } do %>
              <span>My Company</span>
            <% end %>
          </li>
          <li>
            <%= link_to user_path(id: current_user.username), class: 'nav-link' do %>
              <span>Profile</span>
            <% end %>
          </li>
          <li>
            <%= link_to '#', class: 'nav-link' do %>
              <span>My Tweets</span>
            <% end %>
          </li>
          <li>
            <%= link_to "Sign Out", destroy_user_session_path, data: { "turbo-method": :delete } %>
          </li>
        <% else %>
          <li>
            <%= link_to new_user_session_path, class: 'nav-link' do %>
              <span>Sign in</span>
            <% end %>
          </li>
        <% end %>
      </ul>
      <div id="search-bar-js"></div>
    </div>
  </div>
</nav>
